Summary:   SELinux Translation Daemon
Name:      mcstrans
Version:   3.5
Release:   3%{?dist}
License:   GPL+
Url:       https://github.com/SELinuxProject/selinux/wiki
Source0:   https://github.com/SELinuxProject/selinux/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires:    gcc make
BuildRequires:    libselinux-devel >= %{version}
BuildRequires:    libcap-devel pcre2-devel libsepol-devel libsepol-static
BuildRequires:    systemd
Requires:         pcre2
Requires(post):   systemd 
Requires(preun):  systemd 
Requires(postun): systemd 
Provides:         setransd
Provides:         libsetrans

%description
Security-enhanced Linux is a feature of the Linux® kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux. The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement®, Role-based Access
Control, and Multi-level Security.

mcstrans provides an translation daemon to translate SELinux categories
from internal representations to user defined representation.


%prep
%autosetup


%build
export CFLAGS="%{optflags}"
%make_build LIBDIR="%{_libdir}"


%install
%make_install LIBDIR="%{_libdir}" \
              SHLIBDIR="%{_lib}"  \
              SBINDIR="%{_sbindir}"
rm -f %{buildroot}%{_libdir}/*.a
rm -rf %{buildroot}/%{_sysconfdir}/rc.d/init.d/mcstrans

mkdir -p %{buildroot}%{_datadir}/mcstrans
cp   -rf share/* %{buildroot}%{_datadir}/mcstrans/

mkdir -p %{buildroot}%{_unitdir}
ln -s %{_unitdir}/mcstrans.service %{buildroot}/%{_unitdir}/mcstransd.service


%post
%systemd_post mcstransd.service


%preun
%systemd_preun mcstransd.service


%postun
%systemd_postun mcstransd.service


%files
%{_sbindir}/mcstransd
%{_unitdir}/mcstrans*.service
%{_mandir}/man{5,8}/*.gz
%{_mandir}/ru/man{5,8}/*.gz
%{_datadir}/mcstrans/examples/*
%{_datadir}/mcstrans/util/*


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Jul 11 2023 Yi Lin <nilusyi@tencent.com> - 3.5-1
- upgrade to 3.5

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 29 2022 doriscchao <doriscchao@tencent.com> - 3.4-1
- initial build, Version 3.4, Release 1